#
# $Id: Makefile,v 1.5 2000/07/03 10:55:19 yamauchi Exp $
#	Makefile for R^2mark 
#	Copyright (C) 2000 YAMAUCHI Hitoshi »³Æâ ÀÆ
#
MAKE=make
SIMDATA=conf

all:
	@echo "Next command is available"
	@echo "	${MAKE} clean     : delete simulation parameters"
	@echo "	${MAKE} cleanlogs : delete logfiles"
	@echo ""
	@echo "When you already build the r2mark executable, "
	@echo "please just type as follows for running a benchmark."
	@echo "(This example is the case of inaccurate rendering.)"
	@echo ""
	@echo "	ln -s ../proc_r2mark.sh ."
	@echo "	./proc_r2mark.sh ${SIMDATA} [test|inaccurate|accurate]"
	@echo ""

run_test: 
	./proc_r2mark.sh ${SIMDATA} test

run_accurate: 
	./proc_r2mark.sh ${SIMDATA} accurate

run_inaccurate: 
	./proc_r2mark.sh ${SIMDATA} inaccurate


clean:
	rm -f PI* *.jig

cleanparam:
	rm -f ${SIMDATA}.*.conf.* ${SIMDATA}.*.view sysinfo.*

cleanlogs:
	rm -i log.* machinefile proc_r2mark.sh *.ppm *.gfb
